#
# spec file for package xtexit
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xtexit
BuildRequires:  imake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xt)
Requires:       xaw3d
Version:        0.42
Release:        1252.1
Summary:        Prompt on exiting X
License:        MIT
Group:          System/X11/Utilities
Source:         xtexit.tar.gz
Patch0:         xtexit.dif
Patch1:         xtexit-Imakefile_comments.dif
Patch2:         xtexit-gcc14.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{expand: %%global _exec_prefix %(type -p pkg-config &>/dev/null && pkg-config --variable prefix x11 || echo /usr/X11R6)}
%if "%_exec_prefix" == "/usr/X11R6"
%define _x11data    %{_exec_prefix}/lib/X11
%define _appdefdir  %{_x11data}/app-defaults
%else
%define _x11data    %{_datadir}/X11
%define _appdefdir  %{_x11data}/app-defaults
%endif

%description
`xtexit` sends an request to all clients to shut down. If the
application still needs an user interaction (e.g., if a file should be
saved) this is possible.

If you answer by the affirmative, all applications will be closed. This
method is not fully waterproof, but better than killing each and every
client without being able to interfere.

xterm applications anyway are killed immediately!

If this package is installed, it will be automatically integrated into
the sample user fvwm menu.

%prep
%autosetup -p0 -n xtexit

%build
xmkmf -a
make

%install
make DESTDIR=%{buildroot} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.SUSE
%{_bindir}/xtexit
%dir %{_appdefdir}
%config %{_appdefdir}/XTexit

%changelog
* Wed Nov  6 2024 Dr. Werner Fink <werner@suse.de>
- Add patch xtexit-gcc14.patch
  * Make it build even with gcc14
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Mon Nov 13 2017 dimstar@opensuse.org
- Rename README.SuSE to README.SUSE, adhering to the correct
  spelling (Update xtexit.dif).
* Wed Oct  1 2014 crrodriguez@opensuse.org
- Cleanup buildrequires removing the need of xorg-x11-devel
* Wed Aug  2 2006 werner@suse.de
- Make it build with X11R7
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon May 10 2004 hmacht@suse.de
- added #norootforbuild in specfile
* Fri Jun 13 2003 coolo@suse.de
- use BuildRoot
* Tue Jan 14 2003 pmladek@suse.cz
- fixed comments prefix in the Imakefile from "/**/#" to "XCOMM"
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Thu Dec 14 2000 werner@suse.de
- Group tag
* Wed May 31 2000 ro@suse.de
- specfile cleaned, doc relocation
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
